aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorclyhtsuriva <aimeric@adjutor.xyz>2026-04-10 20:08:43 +0200
committerclyhtsuriva <aimeric@adjutor.xyz>2026-04-10 20:08:43 +0200
commit4c4ede3cef7a6f36d358ab43c61a5d6a231d8a23 (patch)
treec876738b9539afd5699beb96d774131e9251b5b6
parentb616376896a4becc79a9bc6be9e66107deb6dcd1 (diff)
downloadscripts-4c4ede3cef7a6f36d358ab43c61a5d6a231d8a23.tar.gz
scripts-4c4ede3cef7a6f36d358ab43c61a5d6a231d8a23.tar.bz2
scripts-4c4ede3cef7a6f36d358ab43c61a5d6a231d8a23.zip
Add update-packer-to + update-packages is now build-packagesHEADmaster
Diffstat (limited to '')
-rwxr-xr-xauto-void-packages/auto-build-all-orphans.sh2
-rwxr-xr-xauto-void-packages/build-package.sh (renamed from auto-void-packages/update-package.sh)2
-rwxr-xr-xbin/update-packer-to15
3 files changed, 17 insertions, 2 deletions
diff --git a/auto-void-packages/auto-build-all-orphans.sh b/auto-void-packages/auto-build-all-orphans.sh
index 8c4c8cf..746739a 100755
--- a/auto-void-packages/auto-build-all-orphans.sh
+++ b/auto-void-packages/auto-build-all-orphans.sh
@@ -140,7 +140,7 @@ for package in "${!pkgs_to_update[@]}"; do
auto_build_archs_path="$HOME/workbench/auto-void-packages/auto-build/archs-${package}-${latest_version}.txt"
echo ">>>[$package - $latest_version]>>>"
- ./update-package.sh "$package" "$latest_version" "$auto_build_archs_path"
+ ./build-package.sh "$package" "$latest_version" "$auto_build_archs_path"
echo "<<<[$package - $latest_version]<<<"
diff --git a/auto-void-packages/update-package.sh b/auto-void-packages/build-package.sh
index 11345ef..5b62af0 100755
--- a/auto-void-packages/update-package.sh
+++ b/auto-void-packages/build-package.sh
@@ -1,5 +1,5 @@
#!/usr/bin/env bash
-#Clyhtsuriva
+# Clyhtsuriva
helpy(){
diff --git a/bin/update-packer-to b/bin/update-packer-to
new file mode 100755
index 0000000..622f139
--- /dev/null
+++ b/bin/update-packer-to
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+# clyhtsuriva
+
+VER=$1
+
+pushd /tmp/ || exit
+
+curl -LO "https://releases.hashicorp.com/packer/${VER}/packer_${VER}_linux_amd64.zip" && \
+unzip "packer_${VER}_linux_amd64.zip" && \
+rm LICENSE.txt && \
+mv packer ~/.local/bin/packer && \
+packer -v && \
+rm "packer_${VER}_linux_amd64.zip"
+
+popd || exit
r.git/commit/target/surefire-reports/musichub.util.XMLHandlerTest.txt?id=2b45d7bea0d7cb1031b3cdac54e676c183b8074e&follow=1'>mvn packageClyhtsuriva26-301/+313 2021-06-27Fixing lower case issue following acceptance testClyhtsuriva1-9/+3 2021-06-27Fixing conflictsmanthole2-0/+139 2021-06-27Latest maven, jacoco and javadoc filesClyhtsuriva47-313/+822 2021-06-27Catch exception related to search functionalitysaid belhadj4-3/+11 2021-06-27Delete TEST-musichub.business.CategoryTest.xmlSaid Belhadj1-58/+0 2021-06-27Add unit test for Category and Languagesaid belhadj4-0/+164 2021-06-27Update search functionalitysaid belhadj2-0/+8 2021-06-27Added an extension check for songs and covered it with a test.Clyhtsuriva65-77/+92 2021-06-27Fix : Javadoc missingClyhtsuriva80-0/+8465 2021-06-27PlayList class covered at 84%.Clyhtsuriva14-78/+117 2021-06-27Song class fully covered.Clyhtsuriva13-49/+96 2021-06-27Starting Song testsClyhtsuriva17-59/+119 2021-06-27Changed the log type for the JUnit test of LogHandlerClyhtsuriva5-26/+4 2021-06-27XMLHandler tests covered at 91%Clyhtsuriva93-7962/+82